<!DOCTYPE html PUBLIC>
<html lang="fr" lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<title>Bulletin Analytique d'Histoire Romaine (BAHR) — Volumes</title>
<style>
table { text-align: center; }
table caption { caption-side: bottom; text-align: left; }
table a { text-decoration: none; }
table td { min-width: 5em; }
table tr:nth-child(even){ background-color: #f2f2f2; }
table tr:hover { background-color: #ddd; }
table th {
  padding-top: 12px;
  padding-bottom: 12px;
  background-color: #666;
  color: white;
}
.next::after {
  content: "*";
  color: red;
}
</style>
</head>
<body>

<p>
Cette page référence le contenu de différents volumes du BAHR.
Chaque volume est accessible sous forme de deux pages HTML :
</p>
<ul>
  <li>
    La « version imprimable » 🖨️ s'approche au plus près du volume papier correspondant.
    Les sauts de pages et les marges sont clairement visibles, les pages sont numérotées et les noms de chapitre apparaissent ; seule manque la couverture.
    Cette version peut être <em>imprimée directement depuis un navigateur</em>, généralement en faisant « Fichier » → « Imprimer » —attention cependant à configurer correctement le format du papier et les dimensions des marges.
    C'est notamment de cette manière qu'il faut générer le fichier PDF à envoyer aux Presses Universitaires, qui se chargeront de l'impression.
    <br>
    La seule contrainte de cette version est qu'elle est relativement lente à charger.
    Il faut compter quelques minutes pour charger tout le document.
    Avant de générer le PDF, scrollez jusqu'à la page de la table des matières, et attendez que la numérotation de tous les chapitres soit terminée.
  </li>
  <li>
    La « version de travail » ✍️️ est à l'inverse très rapide à charger, ce qui la rend plus appropriée que la précédente à un travail de relecture/correction.
    Son contenu est identique à la version imprimable, mais la mise en page offre quelques différences, et la table des matières ne fonctionne pas.
    <br>
    En conséquence, <em>cette version n'est pas destinée à être envoyée aux Presses Universitaires</em> !
  </li>
</ul>
<h2>Volumes disponibles</h2>
<p>Les volumes actuellement disponibles sont les suivants :</p>
<table>
  <tr>
    <th>Volume</th>
    <th>Année</th>
    <th>✍️️</th>
    <th>🖨️</th>
  </tr>
  <tr>
    <td>26</td>
    <td>2017</td>
    <td><a href="BAHR2017_simple.html">✍️️</a></td>
    <td><a href="BAHR2017.html">🖨️</a></td>
  </tr>
  <tr>
    <td>27</td>
    <td>2018</td>
    <td><a href="BAHR2018_simple.html">✍️️</a></td>
    <td><a href="BAHR2018.html">🖨️</a></td>
  </tr>
  <tr>
    <td>28</td>
    <td>2019</td>
    <td><a href="BAHR2019_simple.html">✍️️</a></td>
    <td><a href="BAHR2019.html">🖨️</a></td>
  </tr>
  <tr>
    <td>29</td>
    <td>2020</td>
    <td><a href="BAHR2020_simple.html">✍️️</a></td>
    <td><a href="BAHR2020.html">🖨️</a></td>
  </tr>
  <tr>
    <td>30</td>
    <td>2021</td>
    <td><a href="BAHR2021_simple.html">✍️️</a></td>
    <td><a href="BAHR2021.html">🖨️</a></td>
  </tr>
  <tr>
    <td>31</td>
    <td>2022</td>
    <td><a href="BAHR2022_simple.html">✍️️</a></td>
    <td><a href="BAHR2022.html">🖨️</a></td>
  </tr>
  <tr>
    <td>32</td>
    <td>2023</td>
    <td><a href="BAHR2023_simple.html">✍️️</a></td>
    <td><a href="BAHR2023.html">🖨️</a></td>
  </tr>
  <tr>
    <td>33<sup class='next'></sup></td>
    <td>2024<sup class='next'></sup></td>
    <td><a href="BAHR2024_simple.html">✍️️</a><sup class='next'></sup></td>
    <td><a href="BAHR2024.html">🖨️</a><sup class='next'></sup></td>
  </tr>
  <caption><sup class='next'></sup> <small>Version en cours d'élaboration.</small></caption>
</table>

<p>Le thesaurus des mots-clés du BAHR est aussi disponible en <a href="Thesaurus.txt">version texte</a> ou en <a href="Thesaurus.html">version web</a>.</p>

<h3>Problèmes connus</h3>
<ol>
  <li>Dans la liste des notices, si une nouvelle lettre commence au milieu d'une page (donc que la page en question contient les dernières notices d'une initiale ET les premières notices de l'initiale suivante), l'en-tête contenait auparavant les deux initiales (genre "C-D"). Dans la version actuelle, elle contient seulement la nouvelle initiale ("D"). Ça n'est pas une anomalie.</li>
  <li>Parfois, l'espacement horizontal est trop grand dans certaines lignes ; cela peut être particulièrement visible dans la chronologie. Cependant, cela est du à l'algorithme de justification du navigateur, et il n'est pas dit qu'on puisse améliorer la sitation. En attendant, un pis-aller et de changer l'ordre des mots-clés directement dans la BDD, cela peut suffire à changer la justification des lignes de cette notice particulière.</li>
</ol>

<h3>Comment faire une extraction ?</h3>
<ol>
  <li>Clique sur l'onglet « Explore <small>(le bleu foncé)</small> » > « Saved filters » > « À paraître dans le volume N°33 (BAHR 2024) ».
    <br>Attends que les résultats s'affichent : tu dois avoir tes notices de l'année.
  </li>
  <li>Clique sur l'onglet « Publish » <small>(le vert clair)</small> > « Export » > « XML ».
    <br>Vérifie que la première puce est cochée (celle qui est <strong>recommended</strong>), puis clique sur le bouton « DOWNLOAD » <small>(vert, tout en bas à droite)</small>.
    <br>Heurist ouvre un nouvel onglet ; attends que celui-ci t'affiche le XML <small>(ça prend ~2 minutes)</small>.
  </li>
  <li>Sauvegarde ce XML sous le nom <strong>Notices2024.xml</strong>, puis pose-le dans « Partagé avec moi » > « BAHR ». Tu dois remplacer le fichier précédent, c'est normal ; Seafile te demandera peut-être de confirmer que c'est bien ce que tu veux faire : oui, c'est ce que tu veux faire.
    <br>Personnellement, je glisse-dépose Notices2024.xml dans mon navigateur, mais si tu as un partage Seafile configuré sur ta machine, ça fonctionne aussi.
        Dans les deux cas, attends que le transfert sur Seafile se termine <small>(là aussi, ça prend quelques minutes en général, suivant la rapidité de ta connexion Internet)</small>.
  </li>
  <li>Enfin, <a href='https://git.unistra.fr/misha/data/bahr/-/pipelines/new'>va sur cette page</a>, puis clique sur le bouton « Run pipeline ».
      <br>Ça t'amène sur une page avec un badge <img src='gitlab_pipeline_running.png' alt="« Running »" /> <small>(en haut à gauche)</small> ; attends simplement 30 secondes à 1 minute que ce badge devienne <img src='gitlab_pipeline_passed.png' alt="« Passed »" />.
      <br>Si jamais le badge devient <img src='gitlab_pipeline_failed.png' alt="« Failed »" />, c'est que le réseau de l'Unistra cafouille ; dans ce cas, attends quelques minutes, <a href='https://git.unistra.fr/misha/data/bahr/-/pipelines/new'>retourne sur cette page</a>, et clique à nouveau sur le bouton « Run pipeline ». Si ça continue à ne pas fonctionner, contacte-moi.
  </li>
  <li>Dès que tout ça est fait, les 2 versions du BAHR 2024 sont actualisées.
      Tu peux donc cliquer <a href="BAHR2024_simple.html">ici ✍️️  pour la version simple </a> et <a href="BAHR2024.html">ici 🖨️ pour la version imprimable</a> (les liens dans le tableau au-dessus fonctionnent aussi).
  </li>
</ol>
</body>
</html>
